Artifex Ghostscript 9.50 Multiple Vulnerabilities

Medium Nessus Plugin ID 139748

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote Windows host contains a library that is affected by multiple vulnerabilities.

Description

The version of Artifex Ghostscript installed on the remote Windows host is 9.50. It is, therefore, affected by multiple vulnerabilities:

- A buffer overflow vulnerability in jetp3852_print_page() in devices/gdev3852.c of Artifex Software GhostScript v9.50 allows a remote attacker to escalate privileges via a crafted PDF file. (CVE-2020-16302)

- A use-after-free vulnerability in xps_finish_image_path() in devices/vector/gdevxps.c of Artifex Software GhostScript v9.50 allows a remote attacker to escalate privileges via a crafted PDF file. (CVE-2020-16303)

- A buffer overflow vulnerability in image_render_color_thresh() in base/gxicolor.c of Artifex Software GhostScript v9.50 allows a remote attacker to escalate privileges via a crafted eps file. (CVE-2020-16304)

Additionally, the version of Artifex Ghostscript installed is affected by multiple buffer overflow vulnerabilities which could allow an attacker to cause a denial of service via a crafted file.

Solution

Upgrade to Artifex Ghostscript 9.51 or later.

See Also

https://www.ghostscript.com/Ghostscript_9.51.html

Plugin Details

Severity: Medium

ID: 139748

File Name: ghostscript_9_51.nasl

Version: 1.2

Type: local

Agent: windows

Family: Windows

Published: 2020/08/21

Updated: 2020/08/24

Dependencies: 100357

Risk Information

Risk Factor: Medium

VPR Score: 5.9

CVSS Score Source: CVE-2020-16302

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:artifex:ghostscript, cpe:/a:artifex:gpl_ghostscript

Required KB Items: installed_sw/Ghostscript

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/03/12

Vulnerability Publication Date: 2020/03/12

Reference Information

CVE: CVE-2020-16287, CVE-2020-16288, CVE-2020-16289, CVE-2020-16290, CVE-2020-16291, CVE-2020-16292, CVE-2020-16293, CVE-2020-16294, CVE-2020-16295, CVE-2020-16296, CVE-2020-16297, CVE-2020-16298, CVE-2020-16299, CVE-2020-16300, CVE-2020-16301, CVE-2020-16302, CVE-2020-16303, CVE-2020-16304, CVE-2020-16305, CVE-2020-16306, CVE-2020-16307, CVE-2020-16308, CVE-2020-16309, CVE-2020-16310

IAVB: 2020-B-0046